3PAR Host already exists

Bug #1182134 reported by Jim Branen on 2013-05-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Cinder
Undecided
Jim Branen

Bug Description

When attaching a 3PAR volume to a host that already exists as a 3PAR host, with a different name, I get the following exception;

2013-05-20 09:06:16 ERROR [cinder.openstack.common.rpc.amqp] Exception during message handling
Traceback (most recent call last):
  File "/opt/stack/cinder/cinder/openstack/common/rpc/amqp.py", line 433, in _process_data
    **args)
  File "/opt/stack/cinder/cinder/openstack/common/rpc/dispatcher.py", line 148, in dispatch
    return getattr(proxyobj, method)(ctxt, **kwargs)
  File "/opt/stack/cinder/cinder/volume/manager.py", line 677, in initialize_connection
    return self.driver.initialize_connection(volume_ref, connector)
  File "/opt/stack/cinder/cinder/openstack/common/lockutils.py", line 228, in inner
    retval = f(*args, **kwargs)
  File "/opt/stack/cinder/cinder/volume/drivers/san/hp/hp_3par_fc.py", line 190, in initialize_connection
    host = self._create_host(volume, connector)
  File "/opt/stack/cinder/cinder/volume/drivers/san/hp/hp_3par_fc.py", line 244, in _create_host
    persona_id)
  File "/opt/stack/cinder/cinder/volume/drivers/san/hp/hp_3par_fc.py", line 219, in _create_3par_fibrechan_host
    raise exception.Duplicate3PARHost(err=err, info=info)
Duplicate3PARHost: 3PAR Host already exists: Host wwn 50014380242B8B4C already used by host jim-devstack-foo (id = 124). The hostname must be called 'jim-devstack'
2013-05-20 09:06:16 ERROR [cinder.openstack.common.rpc.common] Returning exception 3PAR Host already exists: Host wwn 50014380242B8B4C already used by host jim-dev
stack-foo (id = 124). The hostname must be called 'jim-devstack' to caller

Changed in cinder:
assignee: nobody → Jim Branen (james-branen)
Changed in cinder:
status: New → Confirmed

Fix proposed to branch: master
Review: https://review.openstack.org/30465

Changed in cinder:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/30465
Committed: http://github.com/openstack/cinder/commit/9b6dc3dc58e0095dcf59bfc129cc7e75f066b20f
Submitter: Jenkins
Branch: master

commit 9b6dc3dc58e0095dcf59bfc129cc7e75f066b20f
Author: Jim Branen <email address hidden>
Date: Fri May 24 09:30:10 2013 -0700

    Fixes 3PAR Host already exists error.

    Fixed “Host already exists” error by,
    * Screen scraping error message and extracting the host name
    used by the 3PAR backend.
    * Cache the host name used by the 3PAR backend for subsequent
    methods using host name.
    * After a restart, and 3PAR host name it no longer available,
    retrieve 3PAR host name using wwn/iqn, if a terminate_connection
    fails.

    Fixes bug 1182134

    Change-Id: Ia08a311af168ae19dbe7c1405db9c606fd878e53

Changed in cinder:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2013-07-17
Changed in cinder:
milestone: none → havana-2
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2013-10-17
Changed in cinder:
milestone: havana-2 → 2013.2
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers